/* AMXX Mod script.
*
* (c) Copyright 2009, Flipper_SPb
* This file is provided as is (no warranties). 
*/

#include <amxmodx>

#define AUTHOR "Flipper_SPb"
#define PLUGIN "Restarter"
#define VERSION "1.0"


new is_restarted;

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR);
	register_cvar("restarter_version", VERSION, FCVAR_SERVER);
	is_restarted = register_cvar("is_restarted", "0");
	check_is_restarted();
}



public check_is_restarted()
{
	if(get_pcvar_num(is_restarted) == 0) 
	{
		set_task(2.0,"restartTask"); 
	}
	return PLUGIN_CONTINUE;
}


public restartTask()
{
	set_cvar_num("is_restarted",1);
	log_amx("SEND: restart")
	server_cmd("restart");
	return PLUGIN_HANDLED;
}